using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

using ITC81DB_0H.Forms;
using ITC81DB_0H.DialogForms;
using ITC81DB_0H_ImageDll;

namespace ITC81DB_0H.Controls
{
    public partial class ControlCenterConfiOption : UserControl
    {
        #region Field
        private FormMenu m_ParentForm;
        #endregion

        #region Constructor
        public ControlCenterConfiOption(FormMenu parent)
        {
            InitializeComponent();

            this.ParentForm = parent;

            this.InitializeDesign();
            this.DefaultSetting();
        }
        #endregion

        #region Property
        public FormMenu ParentForm
        {
            get { return this.m_ParentForm; }
            private set { this.m_ParentForm = value; }
        }
        #endregion

        #region Method
        public void InitializeDesign()
        {
            Class1 images = new Class1();

            if (this.ParentForm.ParentForm.SystemConfig1.Language == DataStore.LanguageID.English)
            {
                this.labelTitleContinuousNG.Text = "Continuous NG";
                this.labelTitlePassAlarm.Text = "Pass alarm";
                this.smartCheckBox1.Text = this.checkBoxPassAlarmBuzzer.Text = "Buzzer ON";
                this.labelStaticWarning.Text = "* A manual reset function is required for options button.";
            }
            else if (this.ParentForm.ParentForm.SystemConfig1.Language == DataStore.LanguageID.Chinese)
            {
            }
            else if (this.ParentForm.ParentForm.SystemConfig1.Language == DataStore.LanguageID.Czech)
            {
            }
            else if (this.ParentForm.ParentForm.SystemConfig1.Language == DataStore.LanguageID.Russian)
            {
            }
            else if (this.ParentForm.ParentForm.SystemConfig1.Language == DataStore.LanguageID.German)
            {
                this.labelTitleContinuousNG.Text = "Dauerhafter Fehler";
                this.labelTitlePassAlarm.Text = "Alarm übergeben";
                this.smartCheckBox1.Text = this.checkBoxPassAlarmBuzzer.Text = "Summer ON";
                this.labelStaticWarning.Text = "* Externe Reset-Taste erforderlich, wenn kein automatischer Reset verwendet wird";
            }
            else
            {
                this.labelTitleContinuousNG.Text = "연속불량";
                this.labelTitlePassAlarm.Text = "정량알람";
                this.smartCheckBox1.Text = this.checkBoxPassAlarmBuzzer.Text = "부저 ON";
                this.labelStaticWarning.Text = "* 자동리셋 미사용시 외부 옵션 버튼 필요함";
            }
        }
        private void DefaultSetting()
        {

        }

        public void DisplayRefresh(SystemStatus status)
        {
            this.ParentForm.ParentForm.CurrentSystemStatus.CurrentDisplay = DataStore.DisplayStore.ConfiOption;
            this.ParentForm.ParentForm.SetDisplayMode(DataStore.DisplayMode.Menu);
            this.ParentForm.DisplayTitleRoot(this.ParentForm.ParentForm.CurrentSystemStatus);
        }
        #endregion

        #region Event Handler
        private void labelPassCount_Click(object sender, EventArgs e)
        {

        }

        private void checkBoxPassAlarmAutoReset_Click(object sender, EventArgs e)
        {

        }

        private void checkBoxPassAlarmBuzzer_Click(object sender, EventArgs e)
        {

        }
        #endregion
    }
}
